<%#-- copyright
Nepenthes is a free and open project management software.
Copyright (C) 2024 The Nirvati developers

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

Nepenthes is a fork of OpenProject. The copyright follows:

Copyright (C) 2012-2024 the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>

<% html_title t(:label_administration), "#{t(:label_edit)} #{I18n.t((@project.nil? ? :caption_default_rate_history_for : :caption_rate_history_for), user: ' ')} #{@user.name}" %>

<%= toolbar title: (@project.nil? ? t(:caption_default_rate_history_for, user: @user.name) :  t(:caption_rate_history_for_project, user: @user.name, project: @project.name) ) %>

<%- default_rate = @user.current_default_rate -%>
<% if default_rate%>
<p><strong><%= t(:label_current_default_rate) %>:</strong> <%= number_to_currency(default_rate.rate)%></p>
<% end %>

<costs-subform item-count="<%= @rates.count %>">
<%= labelled_tabular_form_for @user, url: {action: 'update', project_id: @project}, method: :put do |f| %>
  <%= back_url_hidden_field_tag %>
  <%= error_messages_for 'user' %>
  <%- @rates.each do |rate| -%>
    <%- @rate = rate -%>
    <%= error_messages_for 'rate' %>
  <%- end -%>
  <div class="generic-table--container">
    <div class="generic-table--results-container">
      <table class="generic-table rates" width="200px">
        <colgroup>
          <col opHighlightCol>
          <col opHighlightCol>
          <col>
        </colgroup>
        <thead>
          <tr>
            <th>
              <div class="generic-table--sort-header-outer">
                <div class="generic-table--sort-header">
                  <span>
                    <%= Rate.human_attribute_name(:valid_from) %>
                  </span>
                </div>
              </div>
            </th>
            <th class="currency">
              <div class="generic-table--sort-header-outer">
                <div class="generic-table--sort-header">
                  <span>
                    <%= Rate.model_name.human %>
                  </span>
                </div>
              </div>
            </th>
            <th><div class="generic-table--empty-header"></div></th>
          </tr>
        </thead>
        <tbody id="rates_body" class="subform-container">
          <%= render partial: "hourly_rates/rate", object: HourlyRate.new(valid_from: Date.current), locals: { templated: true } %>
          <%- @rates.each_with_index do |rate, index| -%>
            <%= render partial: 'rate', object: rate, locals: {index: index} %>
          <%- end -%>
        </tbody>
      </table>

    </div>
  </div>
  <div class="wp-inline-create-button">
    <a href="#" class="add-row-button wp-inline-create--add-link">
      <%= op_icon('icon icon-add') %>
        <%= t(:button_add_rate) %>
    </a>
  </div>
  <div class="generic-table--action-buttons">
    <%= styled_button_tag t(:button_save), class: '-with-icon icon-checkmark' %>
  </div>
<% end %>
</costs-subform>
